# Official Node.js image
FROM node:22-slim

# Set workdir
WORKDIR /app

# Copy the Angular app folder in the container
COPY . .

# Install dependencies
RUN npm install

# Expose port
EXPOSE 80

# Start the application
CMD [ "npm", "run", "production" ]